/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.db.rmi;

import java.rmi.RemoteException;

import de.willuhn.datasource.rmi.DBService;
import de.willuhn.util.ApplicationException;

/**
 * Interface to our DBService
 * 
 * @author munstfr
 * 
 */
public interface JaDepotDBService extends DBService {

	/**
	 * Initialisiert/erzeugt die Datenbank.
	 * 
	 * @throws RemoteException
	 *             Wenn beim Initialisieren ein Fehler auftrat.
	 */
	void install() throws RemoteException;

	/**
	 * &Uuml;berpr&uuml;ft die Konsistenz der Datenbank und f&uuml;hrt bei
	 * Bedarf Updates durch.
	 * 
	 * @throws RemoteException
	 *             Wenn es beim der &Uuml;berpr&uuml;fung zu einem Fehler kam.
	 * @throws ApplicationException
	 *             Wenn die Datenbank-Konsistenz nicht gew%auml;hrleistet ist.
	 */
	void checkConsistency() throws RemoteException, ApplicationException;

}
