/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.finanzen.boerseffm.json;

import java.time.LocalDate;

/**
 * Reprsentiert die Chart Daten
 *
 * @author Frank Mnster
 */
public class ChartData {

    /**
     * Schluss/Durchschnittswert
     */
    private double adjClose;

    /**
     * Datum
     */
    private LocalDate date;

    /**
     * Tageshchstwert
     */
    private double high;

    /**
     * Tagestiefstwert
     */
    private double low;

    /**
     * Erffnungswert
     */
    private double open;

    /**
     * Volume
     */
    private int volume;

    /**
     * Standardkonstruktor
     */
    public ChartData() {
	// Absichtlich leer
    }

    /**
     * @return the adjClose
     */
    public double getAdjClose() {
	return this.adjClose;
    }

    /**
     * @return the date
     */
    public LocalDate getDate() {
	return this.date;
    }

    /**
     * @return the high
     */
    public double getHigh() {
	return this.high;
    }

    /**
     * @return the low
     */
    public double getLow() {
	return this.low;
    }

    /**
     * @return the open
     */
    public double getOpen() {
	return this.open;
    }

    /**
     * @return the volume
     */
    public int getVolume() {
	return this.volume;
    }

    /**
     * @param adjClose
     *            the adjClose to set
     */
    public void setAdjClose(final double adjClose) {
	this.adjClose = adjClose;
    }

    /**
     * @param date
     */
    public void setDate(final LocalDate date) {
	this.date = date;
    }

    /**
     * @param high
     *            the high to set
     */
    public void setHigh(final double high) {
	this.high = high;
    }

    /**
     * @param low
     *            the low to set
     */
    public void setLow(final double low) {
	this.low = low;
    }

    /**
     * @param open
     *            the open to set
     */
    public void setOpen(final double open) {
	this.open = open;
    }

    /**
     * @param volume
     *            the volume to set
     */
    public void setVolume(final int volume) {
	this.volume = volume;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
	final StringBuilder builder = new StringBuilder();
	builder.append(this.date).append(':').append(this.open).append(',').append(this.high).append(',')
		.append(this.low).append(',').append(this.adjClose).append(',').append(this.volume);
	return builder.toString();
    }
}
