/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.finanzen.boerseffm.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * JSON Antwort der Chart Daten Anfrage
 *
 * @author Frank Mnster
 *
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChartDataResponse {

    /**
     * Die Liste mit den Instruments
     */
    @JsonProperty("instruments")
    private List<Instrument> instruments;

    /**
     * Standardkonstruktor
     */
    public ChartDataResponse() {
	// Absichtlich leer
    }

    /**
     * Liefert die Instruments
     *
     * @return die Instruments
     */
    @JsonProperty("instruments")
    public List<Instrument> getInstruments() {
	return this.instruments;
    }

}
