/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.finanzen.currencyexchangerate;

import java.util.Date;

import de.frankmuenster.jameica.finanzen.FinanceException;

/**
 *
 * Interface f%uuml;r W&auml;hrungsumrechner
 *
 * @author Frank Mnster
 *
 */
public interface CurrencyConverter {

    /**
     * Wechselkurs basierend auf aktuellem Datum.
     *
     * @param currencyFrom
     *            die Ausgangsw&auml;hrung
     * @param currencyTo
     *            die Zielsw&auml;hrung
     * @return den Wechselkurs
     * @throws FinanceException
     *             wenn irgendwas schief ging.
     */
    ExchangeRate exchangeRate(final String currencyFrom, final String currencyTo) throws FinanceException;

    /**
     * Wechselkurse basierend auf angegeben Datum.
     *
     * @param currencyFrom
     *            die Ausgangsw&auml;hrung
     * @param currencyTo
     *            die Zielsw&auml;hrung
     * @param date
     *            das Datum des Umstausches
     * @return den Wechselkurs
     * @throws FinanceException
     *             wenn irgendwas schief ging.
     */
    ExchangeRate exchangeRate(final String currencyFrom, final String currencyTo, final Date date)
	    throws FinanceException;

}
