/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.action;

import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.internal.action.Program;
import de.willuhn.jameica.messaging.StatusBarMessage;
import de.willuhn.jameica.system.Application;
import de.willuhn.util.ApplicationException;

/**
 * ffnet die Mahoe Webseite.
 */
public class OpenWebPageAction implements Action {

    /**
     * Standardkonstruktor
     */
    public OpenWebPageAction() {
        // Absichlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {

        GUI.getDisplay().asyncExec(() -> {
            try {
                new Program().handleAction("http://progs.frankmuenster.de/jadepot/"); //$NON-NLS-1$
            } catch (final ApplicationException e) {
                Application.getMessagingFactory()
                        .sendMessage(new StatusBarMessage(e.getLocalizedMessage(), StatusBarMessage.TYPE_ERROR));
            }
        });
    }
}
