/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.action;

import de.frankmuenster.jameica.depot.importer.wizard.OrderImportWizard;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action handler starting the {@link OrderImportWizard}
 *
 * @author Frank Mnster
 *
 */
public class ViewOrderImportWizardAction implements Action {

    /**
     * Standart Konstruktor
     */
    public ViewOrderImportWizardAction() {
        // absichtlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {
        try {
            new OrderImportWizard(AbstractDialog.POSITION_CENTER).open();

        } catch (final Exception e) { // NOPMD
            Logger.error(I18N.tr("ViewOrderImportWizardAction.errorOpenImportWizard"), e); //$NON-NLS-1$
            throw (ApplicationException) new ApplicationException(
                    I18N.tr("ViewOrderImportWizardAction.errorOpenImportWizard")) //$NON-NLS-1$
                            .initCause(e);
        }
    }

}
