/*******************************************************************************
 * Copyright 2019 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.buttons;

import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.parts.Button;
import de.willuhn.util.ApplicationException;

/**
 * A simple {@link Button} to get back to the main view of Jadepot
 * 
 * @author Frank Mnster
 * @since 1.5.0
 *
 */
public class ViewDepotButton extends Button {

    /**
     * Returns the {@link Action} to open the main view of JaDepot. Static
     * method to be able to place inside super call.
     * 
     * @return the Action to open the main view of JaDepot
     */
    private static Action getAction() {

        return new Action() {

            /**
             * @see Action#handleAction(Object context)
             */
            @Override
            public void handleAction(final Object context) throws ApplicationException {

                GUI.startView(de.frankmuenster.jameica.depot.gui.views.DepotView.class, null);
            }
        };

    }

    /**
     * Retunrs a new instance of the Button
     */
    public ViewDepotButton() {

        super(I18N.tr("ViewDepotButton.overview"), ViewDepotButton.getAction(), null, false); //$NON-NLS-1$

    }

}
