/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.menu;

import de.frankmuenster.jameica.depot.db.rmi.Wertpapier;
import de.frankmuenster.jameica.depot.gui.action.OrderDeleteAction;
import de.frankmuenster.jameica.depot.gui.action.listener.OrderDeleteListener;
import de.frankmuenster.jameica.depot.gui.views.OrderView;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;
import de.willuhn.util.ApplicationException;

/**
 * Das Orderliste Kontextmen&uuml;.
 *
 * @author Frank Mnster
 */
public class OrderListeMenu extends ContextMenu {

    /**
     * Konstruktor mit Wertpapier und Listener
     *
     * @param wertpapier
     * @param listener
     */
    public OrderListeMenu(final Wertpapier wertpapier, final OrderDeleteListener listener) {

	super();
	addItem(new ContextMenuItem(I18N.tr("_addWithDots"), //$NON-NLS-1$
		new Action() {

		    /**
		     * @see Action#handleAction(Object context)
		     */
		    @Override
		    public void handleAction(final Object context) throws ApplicationException {
			GUI.startView(OrderView.class, wertpapier);

		    }
		}));
	addItem(ContextMenuItem.SEPARATOR);
	addItem(new CheckedContextMenuItem(I18N.tr("_deleteWithDots"), //$NON-NLS-1$
		new OrderDeleteAction(listener)));

    }
}
