/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.menu;

import de.frankmuenster.jameica.depot.gui.action.WertpapierDeleteAction;
import de.frankmuenster.jameica.depot.gui.action.WertpapierDetailAction;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;

/**
 * Wertpapierliste Kontextmen&uuml;
 *
 * @author Frank Mnster
 */
public class WertpapierListeMenu extends ContextMenu {

    /**
     * Standardkonstruktor
     */
    public WertpapierListeMenu() {

	super();
	// CheckedContextMenuItems will be disabled, if the user clicks into an
	// empty space of the table
	addItem(new CheckedContextMenuItem(I18N.tr("_openWithDots"), //$NON-NLS-1$
		new WertpapierDetailAction()));

	addItem(ContextMenuItem.SEPARATOR);
	addItem(new CheckedContextMenuItem(I18N.tr("_deleteWithDots"), //$NON-NLS-1$
		new WertpapierDeleteAction()));

    }
}
