/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.navigation;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.depot.gui.action.ViewAktienKontoAction;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.NavigationItem;
import de.willuhn.jameica.gui.extension.Extendable;
import de.willuhn.jameica.gui.extension.Extension;
import de.willuhn.logging.Logger;

/**
 * Extension Klasse des AktienKonto-Plugins fr den Eintrag im Navigationsmen
 *
 * @author Frank Mnster
 */
public class AktienKontoExtension implements Extension {

    /**
     * Standardkonstruktor
     */
    public AktienKontoExtension() {
	// Absichlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.extension.Extension#extend(de.willuhn.jameica.
     *      gui.extension.Extendable)
     */
    @Override
    public void extend(final Extendable extendable) {
	try {
	    final NavigationItem qrScanner = (NavigationItem) extendable;
	    qrScanner.addChild(new AktienKontoItem(qrScanner, "JaDepot", //$NON-NLS-1$
		    new ViewAktienKontoAction(), "jadepot_32x32.png")); //$NON-NLS-1$

	} catch (final RemoteException e) {
	    Logger.error(I18N.tr("AktienKontoExtension.extendError")); //$NON-NLS-1$
	}
    }

}
