/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.parts;

import java.rmi.RemoteException;

import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;

import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.parts.Button;
import de.willuhn.jameica.gui.util.Font;

/**
 * Ein Analyse-Button. Hat eine kleine Schrift als der Standard-Button.
 *
 * @author Frank Mnster
 */
public class AnalyseButton extends Button {

    /**
     * Konstruktor mit Titel and Action
     * 
     * @param title
     * @param action
     */
    public AnalyseButton(final String title, final Action action) {
	super(title, action);
    }

    /**
     * @see de.willuhn.jameica.gui.parts.Button#paint(org.eclipse.swt.widgets.Composite)
     */
    @Override
    public void paint(final Composite parent) throws RemoteException {
	super.paint(parent);

	final Font font = Font.SMALL;
	this.button.setFont(font.getSWTFont());

	final GridData gridData = new GridData(GridData.FILL_BOTH);
	this.button.setLayoutData(gridData);

	this.button.pack();
	this.button.update();
    }
}
