/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.parts.column;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Bean das Informationen ber einen Wechselkurs enth&auml;lt.
 *
 * @author Frank Mnster
 */
public class ExchangeInfo {

	/**
	 * Ausganskurs
	 */
	private String waehrungFrom;

	/**
	 * Zielkurs
	 */
	private String waehrungTo;

	/**
	 * Datum
	 */
	private Date datum;

	/**
	 * Umtauschrate
	 */
	private BigDecimal kurs;

	/**
	 * Konstruktor mit Angabe aller Informationen
	 *
	 * @param waehrungFrom
	 * @param waehrungTo
	 * @param datum
	 * @param kurs
	 */
	public ExchangeInfo(final String waehrungFrom, final String waehrungTo, final Date datum, final BigDecimal kurs) {
		this.waehrungFrom = waehrungFrom;
		this.waehrungTo = waehrungTo;
		this.datum = datum;
		this.kurs = kurs;
	}

	/**
	 * @return waehrungFrom
	 */
	public String getWaehrungFrom() {
		return this.waehrungFrom;
	}

	/**
	 * @param waehrungFrom
	 *            das zu setzende Objekt waehrungFrom
	 */
	public void setWaehrungFrom(final String waehrungFrom) {
		this.waehrungFrom = waehrungFrom;
	}

	/**
	 * @return waehrungTo
	 */
	public String getWaehrungTo() {
		return this.waehrungTo;
	}

	/**
	 * @param waehrungTo
	 *            das zu setzende Objekt waehrungTo
	 */
	public void setWaehrungTo(final String waehrungTo) {
		this.waehrungTo = waehrungTo;
	}

	/**
	 * @return datum
	 */
	public Date getDatum() {
		return this.datum;
	}

	/**
	 * @param datum
	 *            das zu setzende Objekt datum
	 */
	public void setDatum(final Date datum) {
		this.datum = datum;
	}

	/**
	 * @return kurs
	 */
	public BigDecimal getKurs() {
		return this.kurs;
	}

	/**
	 * @param kurs
	 *            das zu setzende Objekt kurs
	 */
	public void setKurs(final BigDecimal kurs) {
		this.kurs = kurs;
	}

}
