/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.parts.grafiken;

import java.util.Date;

/**
 * Exception f&uuml; den fall, das ein Datum nicht in den Kursenwerten gefunden
 * werden kann.
 *
 * @author Frank Mnster
 */
public class DateNotInListException extends Exception {

    /**
     * Serial UID
     */
    private static final long serialVersionUID = 1120231316907947267L;

    /**
     * Das nicht gefundene Datum
     */
    private final transient Date date;

    /**
     * Konstruktor mit Angabe des Datums
     * 
     * @param date
     */
    public DateNotInListException(final Date date) {
	super();
	this.date = date;
    }

    /**
     * Liefert das Datum
     * 
     * @return das Datum
     */
    public Date getDate() {
	return this.date;
    }

}
