/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.parts.grafiken;

import java.time.LocalDate;

/**
 * Bean mit Datum, Wert Paaren.
 *
 * @author Frank Mnster
 */
public class DateValuePair {

    /**
     * Das Datum
     */
    private LocalDate date;

    /**
     * Der Wert
     */
    private Double value;

    /**
     * Konstruktor mit Angabe des Datums und des Wertes.
     *
     * @param date
     * @param value
     */
    public DateValuePair(final LocalDate date, final Double value) {
	this.date = date;
	this.value = value;
    }

    /**
     * @return date
     */
    public LocalDate getDate() {
	return this.date;
    }

    /**
     * @return value
     */
    public Double getValue() {
	return this.value;
    }

    /**
     * @param date
     *            das zu setzende Objekt date
     */
    public void setDate(final LocalDate date) {
	this.date = date;
    }

    /**
     * @param value
     *            das zu setzende Objekt value
     */
    public void setValue(final Double value) {
	this.value = value;
    }
}
