/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.gui.views;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.depot.gui.controller.LicenseControl;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.Part;
import de.willuhn.util.ApplicationException;

/**
 * View die Lizenz-Informationen anzeigt Basiert auf der LicenseView aus dem
 * Hibiscus-Plugin von Olaf Willuhn
 *
 * @author Frank Mnster
 *
 */
public class LicenseView extends AbstractView {

    /**
     * Unser Kontroler
     */
    private transient LicenseControl ctrl;

    /**
     *
     */
    public LicenseView() {
	super();
    }

    /**
     * @see de.willuhn.jameica.gui.AbstractView#bind()
     */
    @Override
    public void bind() throws RemoteException {
	GUI.getView().setTitle(I18N.tr("LicenseView.viewTitle")); //$NON-NLS-1$

	this.ctrl = new LicenseControl(this);

	final Part lib = this.ctrl.getLibList();
	lib.paint(getParent());
    }

    /**
     * @see de.willuhn.jameica.gui.AbstractView#unbind()
     */
    @Override
    public void unbind() throws ApplicationException {
	super.unbind();
	this.ctrl = null; // NOPMD
    }

}
