/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.importer.wizard;

import java.rmi.RemoteException;

import org.apache.commons.lang3.StringUtils;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Part;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class ImportWizardPage1Part implements Part {

    /**
     * The view controller
     */
    private final OrderImportWizardControl controller;

    /**
     * Constructs the second page for the wizard with the controller, so tables
     * can be updated.
     *
     * @param controller
     */
    public ImportWizardPage1Part(final OrderImportWizardControl controller) {

        this.controller = controller;

    }

    /**
     * @see de.willuhn.jameica.gui.Part#paint(org.eclipse.swt.widgets.Composite)
     */
    @Override
    public void paint(final Composite parent) throws RemoteException {

        final SimpleContainer header = new SimpleContainer(parent, true, 1);
        final SimpleContainer main = new SimpleContainer(parent, true, 2);

        header.addHeadline(I18N.tr("ImportWizardPage1Part.LoadFile")); //$NON-NLS-1$
        header.addText(I18N.tr("ImportWizardPage1Part.welcomeMsg1"), true); //$NON-NLS-1$
        header.addSeparator();
        header.addText(I18N.tr("ImportWizardPage1Part.welcomeMsg2"), true); //$NON-NLS-1$
        main.addText(StringUtils.EMPTY, false);
        main.addInput(this.controller.getPage1InfoLabel());
        main.addText(StringUtils.EMPTY, false);
        main.addPart(this.controller.getPage1FileDropper());
        main.addText(StringUtils.EMPTY, false);

    }

}
