/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.importer.wizard;

import java.rmi.RemoteException;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Part;
import de.willuhn.jameica.gui.parts.ExpandPart;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class ImportWizardPage2Part implements Part {

    /**
     * The view controller
     */
    private final OrderImportWizardControl controller;

    /**
     * The parent composite of this page
     */
    private Composite parent;

    /**
     * Constructs the second page for the wizard with the controller, so tables
     * can be updated.
     *
     * @param controller
     */
    public ImportWizardPage2Part(final OrderImportWizardControl controller) {

        this.controller = controller;

    }

    /**
     * @see de.willuhn.jameica.gui.Part#paint(org.eclipse.swt.widgets.Composite)
     */
    @Override
    public void paint(final Composite parent) throws RemoteException {

        // Save parent
        this.parent = parent;
        // Create header section

        // Create main section
        final SimpleContainer main = new SimpleContainer(parent, true, 2);
        main.addHeadline(I18N.tr("ImportWizardPage2Part.summary")); //$NON-NLS-1$
        main.addText(I18N.tr("ImportWizardPage2Part.summaryText"), true); //$NON-NLS-1$

        // Create the expand area for the tables
        final ExpandPart expand = new ExpandPart();
        expand.add(this.controller.getPage2OrderLoadExeptionTable());
        expand.add(this.controller.getPage2OrderLoadedTable());
        // Add the expand to the main container
        main.addPart(expand);

    }

    /**
     * Repaint the page with updated information about the boxes
     *
     * @throws RemoteException
     */
    public void repaint() throws RemoteException {

        // dispose all children
        for (final Control child : this.parent.getChildren()) {
            child.dispose();
        }

        // and repaint
        paint(this.parent);
        this.parent.layout(true);
    }

}
