/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.importer.wizard;

import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.SimpleContainer;

public class OrderImportWizard extends AbstractDialog<Object> {

    /**
     * The controller for the wizard
     */
    private final OrderImportWizardControl controller;

    /**
     * The main area in the dialog window
     */
    private SimpleContainer main;

    /**
     *
     * Constructs a new wizard dialog window. the position can be provided. the
     * resize option is set to true.
     * 
     * @param position
     *            the position of the dialog
     */
    public OrderImportWizard(final int position) {

        super(position, true);
        this.setTitle(I18N.tr("OrderImportWizard.dialogTitle")); //$NON-NLS-1$
        // create new controller
        this.controller = new OrderImportWizardControl(this);

        this.setSize(850, 600);

    }

    /**
     * Redraws the button to fit to new text
     */
    public void redrawButtons() {

        // currently the hole composite is layout. Its easier
        this.main.getComposite().layout();

    }

    @Override
    protected Object getData() throws Exception {
        // Not needed
        return null;
    }

    @Override
    protected void paint(final Composite parent) throws Exception {

        // create a simple container as main area
        this.main = new SimpleContainer(parent, true, 1);
        // prepare the tab folders
        this.controller.createTabFolder(this.main.getComposite());

        // Finally add the buttons
        final ButtonArea buttons = new ButtonArea();
        buttons.addButton(this.controller.getCancelButton());
        buttons.addButton(this.controller.getBackButton());
        buttons.addButton(this.controller.getNextButton());

        this.main.addButtonArea(buttons);

    }

}
