/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse;

import de.willuhn.jameica.gui.Action;

/**
 * Listener-Interface zum Behandeln von Analysehinzuf&uuml;gen-Events.
 *
 * @author Frank Mnster
 */
public interface IHandleAddAction extends Action {

    /**
     * Fgt eine Listener hinzu
     * 
     * @param listener
     *            der hinzugefgt werden soll
     */
    void addListener(final MethodeAddRemoveListener listener);

    /**
     * Benachrichtigen der registrierten Listeners mit bergabe des gefundenen
     * Strings
     * 
     * @param methode
     */
    void notifyListeners(IKursAnalyse<?, ?> methode);

    /**
     * Entfernt einen Listener aus der Liste
     * 
     * @param listener
     *            der entfernt werden soll
     */
    void removeListener(final MethodeAddRemoveListener listener);

}
