/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse;

/**
 * Parameter f&uuml;r eine Analysemethode.
 *
 * @param <P>
 *            type of the analysis parameter.
 *
 * @author Frank Mnster
 */
public class KursAnalyseParameter<P> {

    /**
     * Der/die Werte
     */
    private P value;

    /**
     * Der Methodenname in der Chart Legende.
     */
    private String legendTitle;

    /**
     * Erzeugt ein neues KursAnalyseParameter Objekt mit dem angebenden Value.
     *
     * @param value
     */
    public KursAnalyseParameter(final P value) {
	this.value = value;
    }

    /**
     * @return legendTitle
     */
    public String getLegendTitle() {
	return this.legendTitle;
    }

    /**
     * Liefert die Parameterwerte
     *
     * @return die Parameterwerte
     */
    public P getValue() {
	return this.value;
    }

    /**
     * Setzt den LegenenTitel
     *
     * @param title
     */
    public void setLegendTitle(final String title) {
	this.legendTitle = title;
    }

    /**
     * Setzt die Parameterwerte
     *
     * @param value
     */
    public void setValue(final P value) {
	this.value = value;
    }
}
