/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse.dialog;

import de.willuhn.jameica.gui.dialogs.AbstractDialog;

/**
 * Abstrakte Klasse f&uuml;r einen Parameter-Dialog.
 *
 * @author Frank Mnster
 * @param <P>
 *            the type of the result data
 */
public abstract class AbstractAddAnalyseDialog<P> extends AbstractDialog<Object> {

    /**
     * The result from the user input
     */
    protected P result;

    /**
     * Constructs a new dialog with the given title. Position is always centred,
     * size is fixed set to 270,160,
     *
     * @param title
     *            the tile of the dialog
     */
    public AbstractAddAnalyseDialog(final String title) {
        super(AbstractDialog.POSITION_CENTER, false);
        this.setTitle(title);
        this.setSize(270, 160);
    }

    /**
     * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
     */
    @Override
    protected P getData() throws Exception {
        return this.result;
    }

}
