/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse.macd;

/**
 * Parameter-Klassen-Bean f&uuml; MACD. Besteht aus emaLang, emaKurz und
 * emaSignal.
 *
 * @author Frank Mnster
 */
public class MACDParameter {

    /**
     * Standardwert f&uuml;r <i>emaLang</i>
     */
    private int emaLang = 26;

    /**
     * Standardwert f&uuml;r <i>emaKurz</i>
     */
    private int emaKurz = 12;

    /**
     * Standardwert f&uuml;r <i>emaSignal</i>
     */
    private int emaSignal = 9;

    /**
     * Standardkonstruktor
     */
    public MACDParameter() {
        // Absichlich leer
    }

    /**
     * @return the emaKurz
     */
    public int getEmaKurz() {

        return this.emaKurz;
    }

    /**
     * @return the emaLang
     */
    public int getEmaLang() {

        return this.emaLang;
    }

    /**
     * @return the emaSignal
     */
    public int getEmaSignal() {

        return this.emaSignal;
    }

    /**
     * @param emaKurz
     *            the emaKurz to set
     */
    public void setEmaKurz(final int emaKurz) {

        this.emaKurz = emaKurz;
    }

    /**
     * @param emaLang
     *            the emaLang to set
     */
    public void setEmaLang(final int emaLang) {

        this.emaLang = emaLang;
    }

    /**
     * @param emaSignal
     *            the emaSignal to set
     */
    public void setEmaSignal(final int emaSignal) {

        this.emaSignal = emaSignal;
    }

}
