/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse.mom;

/**
 * Parameter-Klassen-Bean f&uuml; MACD. Besteht aus period, showAsBar und
 * showAsROC. Die beiden letzten werden noch nicht verarbeitet.
 *
 * @author Frank Mnster
 */
public class MomentumParameter {

    /**
     * Standardperiodenwert
     */
    private int period = 14;

    /**
     * Zeige Momentum in BARs
     */
    private Boolean showAsBar = false;

    /**
     * Zeige Momentum as ROC
     */
    private Boolean showAsROC = false;

    /**
     * Standardkonstruktor
     */
    public MomentumParameter() {
        // Absichlich leer
    }

    /**
     * @return the period
     */
    public int getPeriod() {

        return this.period;
    }

    /**
     * @return the showAsBar
     */
    public Boolean getShowAsBar() {

        return this.showAsBar;
    }

    /**
     * @return the showAsROC
     */
    public Boolean getShowAsROC() {

        return this.showAsROC;
    }

    /**
     * @param period
     *            the period to set
     */
    public void setPeriod(final int period) {

        this.period = period;
    }

    /**
     * @param showAsBar
     *            the showAsBar to set
     */
    public void setShowAsBar(final Boolean showAsBar) {

        this.showAsBar = showAsBar;
    }

    /**
     * @param showAsROC
     *            the showAsROC to set
     */
    public void setShowAsROC(final Boolean showAsROC) {

        this.showAsROC = showAsROC;
    }

}
