/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse.volumen;

import org.jfree.chart.plot.XYPlot;

import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.logging.Logger;

/**
 * Aktion zum Hinzuf&uuml;gen der Methode.
 *
 * @author Frank Mnster
 */
public class VolumenHandleAction extends AbstractHandleAddAction {

    /**
     * Standardkonstruktor
     */
    public VolumenHandleAction() {
	super();
    }

    /**
     * @see AbstractHandleAddAction#handleAction(Object)
     */
    @Override
    public void handleAction(final Object context) throws de.willuhn.util.ApplicationException {

	Logger.info(I18N.tr("VolumenHandleAction.logAdd")); //$NON-NLS-1$
	this.handleAddVolumen();
    }

    private void handleAddVolumen() {

	final KursAnalyseParameter<Integer> parameter = new KursAnalyseParameter<>(0);
	final IKursAnalyse<Integer, XYPlot> volumen = new Volumen();
	volumen.setKursAnalyseParameter(parameter);
	volumen.setType(KursAnalyseTyp.SEPERATE_GRAPH);

	// Call listener
	this.notifyListeners(volumen);
    }
}
